.alert {
    border-radius: 0;
}

.form-group[data-type] {
    margin-bottom: 1.6em;
    .field-label {
        margin-bottom: .4em;
        label {
            line-height: 1.4em;
            margin-bottom: 0;
        }
    }
    .field-description {
        margin-bottom: 1.2em;
        p {
            margin-bottom: .4em;
        }
    }
    .field-warning {
        > .field-translation {
            margin-top: .4em;
        }
    }
    &[data-field] {
        float: left;
        margin-left: 0;
        margin-right: 0;
        width: 100%;
    }
}

input.form-control {
    background-color: #fff;
    border-color: @ge-color-gray;
    border-radius: 0;
    border-style: none none solid none;
    box-shadow: none;
    &:hover, &:active, &:focus {
        border-color: @ge-color-gray;
        box-shadow: none;
    }
}

select.form-control {
    background-color: #fff;
    border-color: @ge-color-gray;
    border-radius: 0;
    border-style: none none solid none;
    &[multiple] {
        border-style: none none solid solid;
    }
    box-shadow: none;
    &:hover, &:active, &:focus {
        border-color: @ge-color-gray;
        box-shadow: none;
    }
}

textarea.form-control {
    background-color: #fff;
    border-color: @ge-color-gray;
    border-radius: 0;
    border-style: none none solid solid;
    box-shadow: none;
    &:hover, &:active, &:focus {
        box-shadow: none;
    }
}

.input-group-addon {
    background-color: #fff;
    border-color: @ge-color-gray;
    border-style: none none solid none;
}

.input-group-btn {
    > button {
        background-color: #fff;
        border-color: transparent transparent @ge-color-gray transparent;
        border-style: solid none;
        color: @ge-color-gray;
    }
}

/* used to make upload metadata inputs hidden without using display: none */
.accessibleHidden {
    position: absolute;
    top: -9999px;
    left: -9999px;
}

div.field-label {
    label {
        &.mandatory:after {
            color: @ge-color-red;
            content: @fa-var-asterisk;
            font-family: FontAwesome;
            font-size: .8em;
            font-weight: normal;
            line-height: 1.4em;
            padding-left: 5px;
            vertical-align: top;
        }
        > button.btn-help {
            padding-right: 0;
        }
    }
}

.parsley-container {
    padding: .6em 1.2em;
    .parsley-errors-list {
        color: @ge-color-red;
        list-style: none;
        padding: 0 floor(@grid-gutter-width / 2);
    }
}
